Bug 142788

Summary: Desktop removable disk icons stop being created
Product: [Fedora] Fedora Reporter: Jordan <jordanmeek>
Component: gnome-volume-managerAssignee: David Zeuthen <davidz>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: mattdm, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-03 12:13:30 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jordan 2004-12-13 23:04:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After a fresh boot, inserted USB disk drives will only create new
icons on the desktop for approximately 15 minutes. The icon will stay
on the desktop for as long as the disk is plugged in, but if it is
unmounted and re-inserted more than about 15 minutes after boot the
disk will be mounted but no icon will show up on the desktop or in
Nautilus. The only way to unmount the drive at this point is to use
the command line. During the 15 minute window my two USB disk drives
can be inserted/mounted and unmounted with the icons menu as many
times as you want. If no USB disk drives are inserted in the first 15
min. drives will still not show up on the desktop or in Nautilus after
the window. 

In summary, desktop icons show up for inserted USB drives as expected
for about 15 minutes after boot up. After time has past, newly
inserted drives will not have an associated icon, but will be mounted
to a file in /media.

I am using 15 minutes as an estimate, I do not know exactly when the
failure occurs.

Version-Release number of selected component (if applicable):
1.1.0-5

How reproducible:
Always

Steps to Reproduce:
1. Start computer.
2. Plugin a USB disk drive.
3. Watch desktop icon appear.
4. Unmount disk with icon menu.
5. Wait about 15 minutes.
6. Plugin a USB disk drive.
7. No icon will appear.    

Actual Results:  No icon is created on the desktop

Expected Results:  A hard disk icon should appear on the desktop.

Additional info:

udev, dbus, hald, and gnome-volume-manager are all running after the
failure occurred.
Comment 1 Jordan 2004-12-13 23:09:18 EST
Using Ctrl-R to refresh the desktop does NOT make any icons appear.
Comment 2 Sitsofe Wheeler 2004-12-14 04:53:26 EST
Are there any interesting usb related messages produced by dmesg ?
Comment 3 Jordan 2004-12-14 10:48:10 EST
Dmesg shows the disks being mounted and unmounted, nothing as far as
errors.
Comment 4 Jordan 2004-12-14 14:39:38 EST
This bug may be related to bug # 130859.
Comment 5 Matthew Miller 2006-07-10 17:28:31 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 petrosyan 2008-02-03 12:13:30 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.